:- [mb].

path([], []).
path([Clause | Clauses], [Literal | Path1]):-
    member(Literal, Clause),
    path(Clauses, Path1).

find_model([], _Model) :-
    fail,
    !.

find_model(Clauses, Model):-
    path(Clauses, Path),
    \+ is_tautology(Path),
    list_to_set(Path, Model).

