%--------------------------------------------------------------------------
% File     : SYN056-1 : TPTP v2.1.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 26
% Version  : Special.
% English  : 

% Refs     : [KM64]  Kalish & Montegue (1964), Logic: Techniques of Formal 
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 26 [Pel86]

% Status   : satisfiable
% Rating   : 0.33 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   13 (   4 non-Horn;   0 unit;  13 RR)
%            Number of literals   :   36 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   4 constant; 0-0 arity)
%            Number of variables  :   11 (   2 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
% skolem_functor(a).
% skolem_functor(b).
% skolem_functor(d).
% skolem_functor(c).

input_clause(clause_1,axiom,
    [--big_p(X),
     ++big_q(a)]).

input_clause(clause_2,axiom,
    [--big_q(X),
     ++big_p(b)]).

input_clause(clause_3,axiom,
    [--big_p(X),
     --big_q(Y),
     --big_r(X),
     ++big_s(Y)]).

input_clause(clause_4,axiom,
    [--big_p(X),
     --big_q(Y),
     --big_s(Y),
     ++big_r(X)]).

input_clause(clause_5,axiom,
    [--big_p(X),
     --big_q(X),
     ++big_r(X),
     ++big_s(X)]).

input_clause(clause_6,conjecture,
    [--big_p(X),
     ++big_p(c),
     ++big_r(X)]).

input_clause(clause_7,conjecture,
    [--big_p(X),
     --big_r(c),
     ++big_r(X)]).

input_clause(clause_8,conjecture,
    [--big_q(X),
     ++big_q(d),
     ++big_s(X)]).

input_clause(clause_9,conjecture,
    [--big_q(X),
     --big_s(d),
     ++big_s(X)]).

input_clause(clause_10,conjecture,
    [++big_p(c),
     ++big_q(d)]).

input_clause(clause_11,conjecture,
    [--big_r(c),
     ++big_q(d)]).

input_clause(clause_12,conjecture,
    [--big_s(d),
     ++big_p(c)]).

input_clause(clause_13,conjecture,
    [--big_r(c),
     --big_s(d)]).
%--------------------------------------------------------------------------
