from part import Part
import string

class Clause (Part):

	def __init__(self, lines, start, end):
		Part.__init__(self, start, end)
		self.lines = lines

	def __repr__(self):
		result = ""
		for line in self.lines:
			result=result+line #+"\n"
		return result

	def get_description(self):
		s = ''
		for line in self.lines:
			s = s + line
		p1 = string.splitfields(s, '(') # ['input_clause', ...]
		p2 = string.splitfields(p1[1], '[') # ['name, type', '...']
		p3 = string.splitfields(p2[0], ',')
		name = p3[0]
		type = p3[1]
		p4 = string.splitfields(s, '[')
		contents = string.splitfields(p4[1], ']')[0]
		return name, type, contents

if __name__ == '__main__':
	c = Clause('input_clause(name, type, [f1(a,b), f2(a), f3(f4(a))]).', 
			(0,0), (0,39))
	print c
	print c.get_description()

