%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% filenames.pl
%
% Stellt Prdikate zur Umformung des Input-Dateinamen in diverse Output-
% Dateinamen zur Verfgung
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% extract_renaming_string(F0, F):
% ===============================
%
% F0: Dateiname einer TPTP-Datei mit extension ".p"
% F: Gleicher Dateiname, allerdings mit extension ".ren" statt ".p"
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% *.ren

extract_renaming_string(F0, F):-
    name(F0, F1),
    append(F2, "p", F1),
    append(F2, "ren", F3),
    name(F, F3).  % That f***ing prolog uses _atoms_ as streams!

% *.dp

extract_dp_string(F0, F):-
    name(F0, F1),
    append(F2, "p", F1),
    append(F2, "dp", F3),
    name(F, F3).

% *.pvd.p

extract_pvd_string(F0, F) :-
    name(F0, F1),
    append(F2, "p", F1),
    append(F2, "pvd.p", F3),
    name(F, F3).

% *.pvdeq.p

extract_pvdeq_string(F0, F):-
    name(F0, F1),
    append(F2, "p", F1),
    append(F2, "pvdeq.p", F3),
    name(F, F3).






