#!/usr/local/bin/python
import subproc
import sys
import os
import string
import glob
import tkMessageBox
import select
from Tkinter import *
from Tkconstants import *
from ScrolledText import ScrolledText
from FileDialog import LoadFileDialog
from FileDialog import SaveFileDialog
from io import *
import outwin

###########################################################################################
###########################################################################################
##                                                                                                      ##
##      CLAUSE EVALUATION                                                                               ##
##                      classes:                                                                                ##
##                              New_Clause                                                              ##
##                              Clause_Evaluation                                                       ##
##                                                                                                      ##
###########################################################################################
###########################################################################################

class CLAUSE:

        def check(self,clause,mode=""):
	        ret=string.join(string.split(clause))           #ret=++a(...),++b(...)...
                e=len(ret)
                if ret[e-1]==".":
                        ret=ret[0:e-2]
                if ret[0]=="[":
                        ret=ret[1:e]
                e=len(ret)
                if ret[e-1]==")":
                        if (ret[0:2]=="++" or (ret[0:2]=="--" and mode=="CLAUSE")):
                                lit=string.splitfields(ret[0:e],"++")           #literals=[a(...),--b(...)...]
                                n=len(lit)
                                literals=[]
                                for i in range(n):
                                        if lit[i]<>"":
                                                new=lit[i]
                                                new0=string.splitfields(new,"--")
                                                e0=len(new0)
                                                for j in range(e0):
                                                        if new0[j]<>"":
                                                                e=len(new0[j])
                                                                if new0[j][e-1]==",":
                                                                        new0[j]=new0[j][0:e-1]
                                                                literals.append(new0[j])
                                n=len(literals) 
                                for i in range(n):
                                        if literals[i]<>"":
                                                if self.is_function(literals[i]):
                                                        pass
                                                else:
                                                        ret="ERROR"
                                                        break
                        else:
                                ret="ERROR"
                                if mode=="CLAUSE":
                                        tkMessageBox.showerror("Syntax Error","Literals have to begin with '++' or '--'")
                                else:
                                        tkMessageBox.showerror("Syntax Error","Literals haveto begin with '++'")
                                i=0
                        if ret=="ERROR":
                                i=i+1
                                t="Syntax Error in " + str(i)
                                if i==1:
                                        t=t+"st"
                                elif i==2:
                                        t=t+"nd"
                                elif i==3:
                                        t=t+"rd"
                                else:
                                        t=t+"th"
                                t= t + " Literal."
                                tkMessageBox.showerror("Syntax",t)
                elif (string.find(ret,")")==-1 and string.find(ret,"(")==-1):
                                if (ret[0:2]=="++" or (ret[0:2]=="--" and mode=="CLAUSE")):
                                        pass
                                elif mode=="CLAUSE":
                                        ret="ERROR"
                                        tkMessageBox.showerror("Syntax Error","Literals have to begin with '++' or '--'")
                                else:
                                        ret="ERROR"
                                        tkMessageBox.showerror("Syntax Error","Literals haveto begin with '++'")
                                        
                else:
                        tkMessageBox.showerror("Syntax","Syntaxerror")
                        ret="ERROR"
                return ret
                                                                        
        def is_varcon(self,varcon):
                if (string.find(varcon,"(") ==-1 and string.find(varcon,")")==-1):
                        return 1
                return 0

        def is_function(self,fkt):
                ok=1
                if ("a" <= fkt[0] <= "z"):                      # fkt=a(X,Y,Z)
                        e=len(fkt)
                        if string.rfind(fkt,")")==e-1:          #last character of fkt must be ')'
                                j=string.find(fkt,"(")
                                if j<>-1:
#                                       x=string.splitfields(fkt[j+1:e-1],"),")         # x=[X,Y,Z]
                                        x=self.get_parts(fkt[j+1:e-1])
                                        for i in range(len(x)):
                                                if (self.is_varcon(x[i]) or self.is_function(x[i])):
                                                        pass                    # X is constant, variable or function
                                                else:
                                                        ok=0    
                                                        break
                                else:
                                        tkMessageBox.showerror("Syntax Error","Found ')' without '('.")
                                        ok=0    # ')' without '('
                        elif (string.find(fkt,"(")==-1 and string.find(fkt,")")==-1):
                                        pass
                        else:		
                                tkMessageBox.showerror("Syntax Error","Probably Bracket-Error")
                                ok=0    
                else:
                        tkMessageBox.showerror("Syntax Error","Probably Function name must begin with small letter.")
                        ok=0            #function name must start with small letter
                return ok
                                                                        
        def get_parts(self,fkt):
                new=[]
                dict={}
                e=len(fkt)
                b=self.get_pos(fkt,",")
                lb=len(b)
                for i in range(lb):
                        dict[b[i]]=","
                k1=self.get_pos(fkt,"(")
                lk1=len(k1)
                for i in range(lk1):
                        dict[k1[i]]="("
                k2=self.get_pos(fkt,")")
                lk2=len(k2)
                for i in range(lk2):
                        dict[k2[i]]=")"
                if lb==lk1==lk2==0:
                        new.append(fkt)
                else:
                        place=dict.keys()
                        place.sort()
                        x=0
                        j=0
                        for i in place:
                                if dict[i]=="(":
                                        x=x+1
                                elif (dict[i]=="," and x==0):
                                        new.append(fkt[j:i])
                                        j=i+1
                                elif dict[i]==")": 
                                        x=x-1
                                        if x==0:
                                                new.append(fkt[j:i+1])
                                                j=i+2
                        new.append(fkt[j:e])
                return new

        def get_pos(self,fkt,sgn):
                pos=[]
                e=len(fkt)
                j=string.find(fkt,sgn)
                c=j
                while j<>-1:
                        pos.append(c)
                        j=string.find(fkt[c+1:e],sgn)
                        c=c+j+1
                return pos

class New_Clause:
##########################################################################################
#       Creates window to input/edit clause                                                                     #
#               methods:                                                                                #
#                       __init__(self,parent=None,x="") ... creates window                                      #
#                       add_clause(self) ... quits the application                                              #
#                       cancel(self) ... cancels the application                                                #
#                       show(self) ... show window - when destroyed returns "CQ"(=Cancel) or Clause             #
##########################################################################################
        def __init__(self,parent,md,x=""):
                self.top=Toplevel()
                self.top.withdraw()
                if x=="":
                        self.top.title("CLAUSE EVALUATION - Add Clause")
                else:
                        self.top.title("CLAUSE EVALUATION - Edit Clause")
                self.Clause=StringVar()
                self.Clause.set(x)
                self.enterClause=Entry(self.top,textvariable=self.Clause,width=50,bd=4)
                self.ok_button=Button(self.top,text="OK",command=self.add_clause,bd=2)
                self.cancel_button=Button(self.top,text="Cancel",command=self.cancel,bd=2)
                self.enterClause.pack(expand=1,fill=BOTH,side=LEFT)
                self.ok_button.pack(expand=1,fill=BOTH,side=LEFT)
                self.cancel_button.pack(expand=1,fill=BOTH,side=LEFT)
                self.c=""
                self.mode=md

        def add_clause(self):
                x=self.Clause.get()
                if string.join(string.split(x))<>"":
                        ret=CLAUSE().check(x,self.mode)
                        if ret<>"ERROR":
                                ret="[" + ret + "]."
                                self.Clause.set(ret)
                                self.c="F"
                                self.top.destroy()
                else:
                        tkMessageBox.showinfo("Add Clause","Nothing to add.")
                        self.c="T"
                        self.top.destroy()

        def cancel(self):
                self.c="T"
                self.top.destroy()

        def show(self):
                self.top.deiconify()
                self.top.wait_window()
                if self.c=="T":
                        return "CQ"
                if self.c=="":
                        tkMessageBox.showinfo("","Cancel")
                        return "CQ"
                else:
                        return self.Clause.get()

class EditWindow:
        def __init__(self,parent,n,Ht,Wd,md):
                self.frame=Frame(parent.top)
                self.name=n
                label0 = Label(self.frame, text=n+":")
                label0.pack(side=TOP,anchor=W)
                self.area=ScrolledText(self.frame,height=Ht,width=Wd)
                self.area.pack(expand=1,fill=BOTH,side=TOP)
                self.fname=""
                self.objects=0
                self.mode=md

        def get_index(self):
                i0=self.area.index(INSERT)
                i1=string.splitfields(i0,".")
                i2=i1[0]
                i3=i2+".0"
                i=self.area.get(i3,i3+" lineend") 
                return i3,i

        def new_clause(self):
                x=New_Clause(self,self.mode).show()
                if x<>"CQ":
                        self.area.insert("0.0",x+"\n")
                        self.objects=self.objects+1

        def edit_clause(self):
                i3,i=self.get_index()
                i=i[1:-2]
                print i
                x=New_Clause(self,self.mode,i).show()
                if x<>"CQ":
                        self.area.delete(i3,i3+" lineend")
                        self.area.insert(i3,x)

        def del_clause(self):
                i3,c0=self.get_index()
                t="Are you sure you want to delete this clause?\n" + c0 + "\nfrom " + self.name
                if tkMessageBox.askyesno("Delete",t )==1:
                        if string.join(string.split(x))<>"":
                                self.area.delete(i3,i3+" lineend")
                                self.objects=self.objects-1
                        else:
                                tkMessageBox.showinfo("Delete","Nothing to delete")

        def new(self):
                self.area.delete("0.0", END)
                self.objects=0

        def check(self,form=""):
                ln,l0=self.lines()
                for i in range(l0):
                        cl=ln[i]
                        l=len(cl)
                        if (cl[0]=="[" and cl[l-1]=="." and cl[l-2]=="]"):
                                cl=cl[1:l-2]
                                if CLAUSE().check(cl,form)=="ERROR":
                                        t="Syntax Error in Line " + str(i)
                                        tkMessageBox.showerror("Syntax",t)
                                        return 0
                        else:
                                tkMessageBox.showerror("Syntaxerror","One '[<clause>].' per line")
                                return 0
                return 1

        def save(self,filename):
                ln,l0=self.lines()
                f=open(filename,"w")
                for i in range(l0):
                        f.write(ln[i]+"\n")             
                f.close

        def load(self,filename):
                self.new()
                f=open(filename)
                lines = f.readlines()
                f.close()
                numOfLines = len(lines)
                self.objects=numOfLines
                for i in range(numOfLines):
                        self.area.insert(str(i)+".0",lines[i-1])

        def lines(self):
                x=[]
                l=0
                j0=string.splitfields(self.area.index("end"),".")
                j=eval(j0[0])
                for i in range(1,j):
                        i0=str(i)+".0"
                        cl=self.area.get(i0,i0+" lineend")
                        if string.join(string.split(cl))<>"":
                                x.append(cl)
                                l=l+1
                return x,l

class Clause_Evaluation:
##########################################################################################
#       Creates window to input/edit clause                                                                     #
#               methods:                                                                                #
#                       __init__(self,parent=None) ... creates window                                   #
#                       save(self) ... checks and saves the model (contents of ScrolledText                     #
#                       load(self) ... loads a model                                                            #
#                       new_clause(self) ... calls New_Clause                                           #
#                       edit_clause(self) ... calls New_Clause                                          #
#                       check(self) ... do clause evaluation                                                    #
#                       check_model(self) ... checks the model for right syntax                         #
#                       show(self) ... shows window                                                     #
##########################################################################################
        def __init__(self,parent=None,model_directory,clauses_directory,self_dir,sicstus_call):
                self.top=Toplevel()
                self.top.withdraw()
                self.top.title("Clause Evaluation")
                self.model_directory=model_directory
                self.clauses_directory=clauses_directory
		self.dir=self_dir
		self.SICSTUS=sicstus_call
                self.frame0=Frame(self.top)
                self.menu_frame=Frame(self.top,relief=RAISED,bd=2)
                self.model_frame=Frame(self.frame0,bd=4)
                self.clause_frame=Frame(self.frame0,bd=4)
                self.menu_frame.pack(side=TOP,fill=X)
                self.frame0.pack(side=BOTTOM,fill=BOTH,expand=1)
                self.model_frame.pack(side=TOP,fill=BOTH,expand=1)
                self.clause_frame.pack(side=BOTTOM,fill=X,expand=1)
                #       menu                            #
                FileButton=Menubutton(self.menu_frame,text="File")
                FileButton.pack(side=LEFT)
                self.FileMenu=Menu(FileButton)
                self.FileMenu.add_command(label="New",command=self.new)

                self.ModelMenu=Menu(self.FileMenu)
                self.ModelMenu.add_command(label="Clear",command=self.model_new)
                self.ModelMenu.add_command(label="Save",command=self.model_save)
                self.ModelMenu.add_command(label="Load",command=self.model_load)
                self.ClauseMenu=Menu(self.FileMenu)
                self.ClauseMenu.add_command(label="Clear",command=self.clauses_new)
                self.ClauseMenu.add_command(label="Save",command=self.clauses_save)
                self.ClauseMenu.add_command(label="Load",command=self.clauses_load)


                self.FileMenu.add_cascade(label="Model",menu=self.ModelMenu)
                self.FileMenu.add_cascade(label="Clauses",menu=self.ClauseMenu)
                self.FileMenu.add_command(label="Quit",command=self.top.destroy)
                FileButton["menu"]=self.FileMenu

                EditButton=Menubutton(self.menu_frame,text="Edit")
                EditButton.pack(side=LEFT)
                self.EditMenu=Menu(EditButton)
                self.Edit_Model_Menu=Menu(self.EditMenu)
                self.Edit_Model_Menu.add_command(label="Add Clause",command=self.model_new_clause)
                self.Edit_Model_Menu.add_command(label="Edit Clause",command=self.model_edit_clause)
                self.Edit_Model_Menu.add_command(label="Delete Clause",command=self.model_del_clause)
                self.Edit_Clauses_Menu=Menu(self.EditMenu)
                self.Edit_Clauses_Menu.add_command(label="Add Clause",command=self.clauses_new_clause)
                self.Edit_Clauses_Menu.add_command(label="Edit Clause",command=self.clauses_edit_clause)
                self.Edit_Clauses_Menu.add_command(label="Delete Clause",command=self.clauses_del_clause)

                self.EditMenu.add_cascade(label="Model",menu=self.Edit_Model_Menu)
                self.EditMenu.add_cascade(label="Clauses",menu=self.Edit_Clauses_Menu)
                EditButton["menu"]=self.EditMenu

                #       model                           #
#               label0 = Label(self.model_frame, text="Model")
#               label0.pack(side=TOP,anchor=W)
#               self.model=ScrolledText(self.model_frame,height=20,width=70)
                self.model=EditWindow(self,"Model",20,70,"MODEL")
                self.model.frame.pack(expand=1,fill=BOTH,side=TOP)
                #       clause                          #
#               label1 = Label(self.model_frame, text="Clauses")
#               label1.pack(side=TOP,anchor=W)
#               self.clauses=ScrolledText(self.model_frame,height=2,width=70)
                self.clauses=EditWindow(self,"Clauses",2,70,"CLAUSE")
                self.clauses.frame.pack(expand=1,fill=BOTH,side=TOP)

                self.check_button=Button(self.clause_frame,text="check",command=self.check,width=15)
                self.check_button.grid(row=0,column=1)
                

        def clauses_new_clause(self):
                self.clauses.new_clause()
                self.make_active()

        def clauses_edit_clause(self):
                self.clauses.edit_clause()
                self.make_active()

        def clauses_del_clause(self):
                self.clauses.del_clause()
                self.make_active()

        def clauses_new(self):
                self.clauses.new()
                self.make_active()

        def clauses_save(self):
                if self.clauses.check("CLAUSE"):
                        if os.path.exists(self.clauses_directory):
                                n=NewFileName().get(self.clauses_directory,"clauses","cls")
                                fd=SaveFileDialog(self.top)
                                filename = fd.go(self.clauses_directory,"*.cls",n)
                                if filename<>None:
                                        self.clauses.save(filename)
                        else:
                                tkMessageBox.showerror("Directory","Directory does not exist - \n" + self.clauses_directory)

        def clauses_load(self):
                if os.path.exists(self.clauses_directory):
                        fd=LoadFileDialog(self.top)
                        filename = fd.go(self.clauses_directory,"*.cls")
                        if filename<>None:
                                self.clauses.load(filename)
                else:
                        tkMessageBox.showerror("Directory","Directory does not exist - \n" + self.clauses_directory)
                if self.clauses.check("CLAUSE")==0:
                        tkMessageBox.showerror("Clauses","Syntax Error found in Clauses")
                self.make_active()

        def model_new_clause(self):
                self.model.new_clause()
                self.make_active()
        
        def model_edit_clause(self):
                self.model.edit_clause()
                self.make_active()

        def model_del_clause(self):
                self.model.del_clause()
                self.make_active()

        def model_new(self):
                self.model.new()
                self.make_active()

        def model_save(self):
                if self.model.check():
                        if os.path.exists(self.model_directory):
                                n=NewFileName().get(self.model_directory,"model","arm")
                                fd=SaveFileDialog(self.top)
                                filename = fd.go(self.model_directory,"*.arm",n)
                                if filename<>None:
                                        self.model.save(filename)
                        else:
                                tkMessageBox.showerror("Directory","Directory does not exist - \n" + self.model_directory)

        def model_load(self):
                if os.path.exists(self.model_directory):
                        fd=LoadFileDialog(self.top)
                        filename = fd.go(self.model_directory,"*.arm")
                        if filename<>None:
                                self.model.load(filename)
                else:
                        tkMessageBox.showerror("Directory","Directory does not exist - \n" + self.model_directory)
                if self.model.check()==0:
                        tkMessageBox.showerror("Clauses","Syntax Error found in Model")
                self.make_active()


        def new(self):
                self.model.new()
                self.clauses.new()
                self.make_active()

        def make_active(self):
                if self.model.objects<1:
                        self.check_button["state"]=DISABLED
                        self.ModelMenu.entryconfig("Save",state=DISABLED)
                        self.Edit_Model_Menu.entryconfig("Edit Clause",state=DISABLED)
                        self.Edit_Model_Menu.entryconfig("Delete Clause",state=DISABLED)
                else:
                        self.check_button["state"]=NORMAL
                        self.ModelMenu.entryconfig("Save",state=NORMAL)
                        self.Edit_Model_Menu.entryconfig("Edit Clause",state=NORMAL)
                        self.Edit_Model_Menu.entryconfig("Delete Clause",state=NORMAL)
                if self.clauses.objects<1:
                        self.check_button["state"]=DISABLED
                        self.ClauseMenu.entryconfig("Save",state=DISABLED)
                        self.Edit_Clauses_Menu.entryconfig("Edit Clause",state=DISABLED)
                        self.Edit_Clauses_Menu.entryconfig("Delete Clause",state=DISABLED)
                else:
                        if self.model.objects>0:
                                self.check_button["state"]=NORMAL
                        self.ClauseMenu.entryconfig("Save",state=NORMAL)
                        self.Edit_Clauses_Menu.entryconfig("Edit Clause",state=NORMAL)
                        self.Edit_Clauses_Menu.entryconfig("Delete Clause",state=NORMAL)


        def redirect_output(self, window, command):
                f = os.popen(command)
                while 1:
                        r,w,e = select.select([f], [], [], 100)
                        if r:
                                s = f.read()
                                if not s:
                                        break
                                window.op_area.insert("end", s)

        def check(self):
                if self.model.objects<1:
                        tkMessageBox.showinfo("Missing","no model given")
                elif self.clauses.objects<1:
                        tkMessageBox.showinfo("Missing","no clauses given")
                elif self.model.check()==0:     
                        tkMessageBox.showinfo("Model","Could not complete your request because of an error in the model")
                elif self.clauses.check("CLAUSE")==0:
                        tkMessageBox.showinfo("Clauses","Could not complete your request because of an error in the clauses")
                else:
                        list1=""
                        list2=""
                        ln,l0=self.model.lines()
                        for i in range(l0):
                                x=ln[i]
                                l=len(x)
                                x=x[1:l-2]
                                if string.find(x,"equal")<>-1:
                                        if list2<>"":
                                                list2=list2+","
                                        list2=list2+x
                                elif string.join(string.split(x))<>"":
                                        if list1<>"":
                                                list1=list1+","
                                        list1=list1+x
                        list1="[" + list1 + "]"
                        list2="[" + list2 + "]" 

                        outputWindow = outwin.OutputWindow(self, "Evaluating Clauses")
                        outputWindow.show2()
                        command = "echo \""
                        cl,l0=self.clauses.lines()
                        for i in range(l0):
                                e=len(cl[i])
                                tmp=cl[i][0:e-1]
                                command=command+" eval("+list1+","+list2+","+ tmp+ "), "
                        command = command + \
				  "halt.\" | " + \
				  self.SICSTUS + " -l '" +self.dir+ "/cleval/cl_eval.pl' 2>/dev/null"
                        outputWindow.redirect_output(command)
#                       j0=string.splitfields(outputWindow.op_area.index("end"),".")
#                       j=eval(j0[0])
#                       y=""
#                       for i in range(1,j):
#                               x=outputWindow.op_area.get(str(i)+".0",str(outputWindow.op_area.index(str(i)+".0 lineend")))
#                               y=y+" "+x
#                       tkMessageBox.showinfo("Result",y)

        def show(self):
                self.top.deiconify()
                self.make_active()
