#!/usr/local/bin/python
import sys
import os
import string
import glob
from Tkinter import *
from ScrolledText import ScrolledText
import select

class OutputWindow:
	def __init__(self, parent=None, title=""):
		self.top = Toplevel()
		self.top.withdraw()
		self.frame = Frame(self.top)
		self.frame.pack(expand=1,fill=BOTH)
		self.top.title(title)
		self.op_area = ScrolledText(self.frame, height=20, width=70)
		self.op_area.pack(expand=1, fill=BOTH)
		self.button = Button(self.frame, text="Close", 
				     command=self.top.destroy)
		self.button.pack(side=BOTTOM, fill=X)
		
	def show(self, command):
		self.top.deiconify()
		self.redirect_output(command)

	def show2(self):
		self.top.deiconify()

	def show3(self,filename):
		self.top.deiconify()
		f=open(filename)
		lines = f.readlines()
		f.close()
		numOfLines = len(lines)
		self.objects=numOfLines
		for i in range(numOfLines):
			self.op_area.insert(str(i)+".0",lines[i-1])


	def redirect_output(self, command):
		f = os.popen(command)
		while 1:
			r,w,e = select.select([f], [], [], 100)
			if r:
				s = f.read()
				if not s:
					break
				self.op_area.insert("end", s)
				self.op_area.mark_set("index", "end")








