#!/usr/local/bin/python
import sys
import os
import string
import glob
import tkMessageBox
from Tkinter import *
from Tkconstants import *


###########################################################################################
###########################################################################################
##													##
##	CLASSES FOR SPASS-FLAGS GROUPS								##
##			classes:										##
##				choose_calc								##
##				outpt									##
##				prnt									##
##				inference_rule								##
##				reduction								##
##				weight									##
##				skolemisation								##
##				calculus									##
##				system									##
##				deletion									##
##													##
##			flags and flag-names and values as in flags.c						##
##													##
###########################################################################################
###########################################################################################


class choose_calc:
##########################################################################################
#Presents frame with flags for calculus choice								#
#		flags:											#
#			_CPara										#
#			_COrdPara									#
#			_CSupE										#
#			_CSupP										#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("CHOOSE CALCULUS")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._CPara=IntVar()
		self._CPara.set(0)
		self._COrdPara=IntVar()
		self._COrdPara.set(0)
		self._CSupE=IntVar()
		self._CSupE.set(0)
		self._CSupP=IntVar()
		self._CSupP.set(1)
		label01 = Label(self.frame, text="calculus: paramodulation:")
		label02 = Label(self.frame, text="calculus: ordered paramodulation:")
		label03 = Label(self.frame, text="calculus: superposition with equality factoring:")
		label04 = Label(self.frame, text="calculus: superposition with merging paramodulation:")
		label01.grid(row=0, column=0,sticky="E")
		label02.grid(row=1, column=0,sticky="E")
		label03.grid(row=2, column=0,sticky="E")
		label04.grid(row=3, column=0,sticky="E")
		radio011=Radiobutton(self.frame,text="on",variable=self._CPara,value=1)	
		radio012=Radiobutton(self.frame,text="off",variable=self._CPara,value=0)
		radio021=Radiobutton(self.frame,text="on",variable=self._COrdPara,value=1)
		radio022=Radiobutton(self.frame,text="off",variable=self._COrdPara,value=0)
		radio031=Radiobutton(self.frame,text="on",variable=self._CSupE,value=1)
		radio032=Radiobutton(self.frame,text="off",variable=self._CSupE,value=0)
		radio041=Radiobutton(self.frame,text="on",variable=self._CSupP,value=1)
		radio042=Radiobutton(self.frame,text="off",variable=self._CSupP,value=0)
		radio011.grid(row=0,column=1,sticky="W")
		radio012.grid(row=0,column=2,sticky="W")
		radio021.grid(row=1,column=1,sticky="W")
		radio022.grid(row=1,column=2,sticky="W")
		radio031.grid(row=2,column=1,sticky="W")
		radio032.grid(row=2,column=2,sticky="W")
		radio041.grid(row=3,column=1,sticky="W")
		radio042.grid(row=3,column=2,sticky="W")

#	def show(self):
#		self.top.deiconify()

#	def hide(self):
#		self.top.withdraw()

class outpt:
##########################################################################################
#Presents frame with flags for screen output									#
#		flags:											#
#			_PSub										#
#			_DocSST									#
#			_DocDST									#
#			_PRew										#
#			_PCon										#
#			_PTaut										#
#			_PObv										#
#			_PSSi										#
#			_PSST										#
#			_DocProof									#
#			_PClR										#
#			_PDer										#
#			_PGiven										#
#			_PKept										#
#			_DocSplit									#
#			_PProblem									#
#			_PEmptyClause									#
#			_PStatistic									#
#			_PFlags										#
#			_DocFormulaeOnly								#
#			_PUnC										#
#			_PApplyDefs									#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
		self.parent=parent
#		self.top = Toplevel()
#		self.top.title("OUTPUT")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._PSub=IntVar()
		self._PSub.set(0)
		self._DocSST=IntVar()
		self._DocSST.set(0)
		self._DocDST=IntVar()
		self._DocDST.set(0)
		self._PRew=IntVar()
		self._PRew.set(0)
		self._PCon=IntVar()
		self._PCon.set(0)
		self._PTaut=IntVar()
		self._PTaut.set(0)
		self._PObv=IntVar()
		self._PObv.set(0)
		self._PSSi=IntVar()
		self._PSSi.set(0)
		self._PSST=IntVar()
		self._PSST.set(0)
		self._DocProof=IntVar()
		self._DocProof.set(0)
		self._PClR=IntVar()
		self._PClR.set(0)
		self._PDer=IntVar()
		self._PDer.set(0)
		self._PGiven=IntVar()
		self._PGiven.set(1)
		self._PKept=IntVar()
		self._PKept.set(0)
		self._DocSplit=IntVar()
		self._DocSplit.set(0)
		self._PProblem=IntVar()
		self._PProblem.set(1)
		self._PEmptyClause=IntVar()
		self._PEmptyClause.set(0)
		self._PStatistic=IntVar()
		self._PStatistic.set(1)
		self._PFlags=IntVar()
		self._PFlags.set(0)
		self._DocFormulaeOnly=IntVar()
		self._DocFormulaeOnly.set(0)
		self._PUnC=IntVar()
		self._PUnC.set(0)
		self._PApplyDefs=IntVar()
		self._PApplyDefs.set(0)

		label08 = Label(self.frame, text="ForwardSubsumption output:")
		label10 = Label(self.frame, text="Document static soft typing:")
		label11 = Label(self.frame, text="Document dynamic soft typing:")
		label12 = Label(self.frame, text="Rewriting output:")
		label13 = Label(self.frame, text="Condensing output:")
		label14 = Label(self.frame, text="Tautology output:")
		label15 = Label(self.frame, text="Output of obvious red.:")
		label16 = Label(self.frame, text="SortSimplification output:")
		label17 = Label(self.frame, text="Static soft typing output:")
		label18 = Label(self.frame, text="Proof output:")
		label19 = Label(self.frame, text="ClauseReduction output:")
		label20 = Label(self.frame, text="Derived clauses output:")
		label21 = Label(self.frame, text="Given clauses output:")
		label22 = Label(self.frame, text="Kept clauses output:")
		label23 = Label(self.frame, text="Split backtrack emphasizing:")
		label24 = Label(self.frame, text="Print information about input clauses:")
		label25 = Label(self.frame, text="Print all derived empty clauses:")
		label26 = Label(self.frame, text="Print statistic about memory, clauses:")
		label29 = Label(self.frame, text="Output the actual values of all SPASS flags:")
		label31 = Label(self.frame, justify=RIGHT, text="no detailed proof\n(only parent formulae used in a proof printed):")
		label32 = Label(self.frame, text="Unit conflict output:")
		label34 = Label(self.frame, text="Applications of Definitions output:")
		label08.grid(row=7, column=0,sticky="E")
		label10.grid(row=9, column=0,sticky="E")
		label11.grid(row=10, column=0,sticky="E")
		label12.grid(row=11, column=0,sticky="E")
		label13.grid(row=12, column=0,sticky="E")
		label14.grid(row=13, column=0,sticky="E")
		label15.grid(row=14, column=0,sticky="E")
		label16.grid(row=15, column=0,sticky="E")
		label17.grid(row=16, column=0,sticky="E")
		label18.grid(row=17, column=0,sticky="E")
		label19.grid(row=18, column=0,sticky="E")
		label20.grid(row=19, column=0,sticky="E")
		label21.grid(row=20, column=0,sticky="E")
		label22.grid(row=21, column=0,sticky="E")
		label23.grid(row=22, column=0,sticky="E")
		label24.grid(row=23, column=0,sticky="E")
		label25.grid(row=24, column=0,sticky="E")
		label26.grid(row=25, column=0,sticky="E")
		label29.grid(row=28, column=0,sticky="E")
		label31.grid(row=31, column=0,sticky="E")
		label32.grid(row=32, column=0,sticky="E")
		label34.grid(row=33, column=0,sticky="E")



		radio081=Radiobutton(self.frame,text="on",variable=self._PSub,value=0,command=self.check_RFSub)
		radio082=Radiobutton(self.frame,text="off",variable=self._PSub,value=1,command=self.check_RFSub)

		radio101=Radiobutton(self.frame,text="on",variable=self._DocSST,value=1,command=self.check_RSST)
		radio102=Radiobutton(self.frame,text="off",variable=self._DocSST,value=0,command=self.check_RSST)

		radio111=Radiobutton(self.frame,text="on",variable=self._DocDST,value=1,command=self.check_RDST)
		radio112=Radiobutton(self.frame,text="off",variable=self._DocDST,value=0,command=self.check_RDST)

		radio121=Radiobutton(self.frame,text="on",variable=self._PRew,value=0,command=self.check_RFRBRew)
		radio122=Radiobutton(self.frame,text="off",variable=self._PRew,value=1,command=self.check_RFRBRew)

		radio131=Radiobutton(self.frame,text="on",variable=self._PCon,value=0,command=self.check_RCon)
		radio132=Radiobutton(self.frame,text="off",variable=self._PCon,value=1,command=self.check_RCon)

		radio141=Radiobutton(self.frame,text="on",variable=self._PTaut,value=0,command=self.check_RTaut)
		radio142=Radiobutton(self.frame,text="off",variable=self._PTaut,value=1,command=self.check_RTaut)

		radio151=Radiobutton(self.frame,text="on",variable=self._PObv,value=0,command=self.check_RObv)
		radio152=Radiobutton(self.frame,text="off",variable=self._PObv,value=1,command=self.check_RObv)

		radio161=Radiobutton(self.frame,text="on",variable=self._PSSi,value=0,command=self.check_RSSi)
		radio162=Radiobutton(self.frame,text="off",variable=self._PSSi,value=1,command=self.check_RSSi)

		radio171=Radiobutton(self.frame,text="on",variable=self._PSST,value=0,command=self.check_RSST)
		radio172=Radiobutton(self.frame,text="off",variable=self._PSST,value=1,command=self.check_RSST)

		radio181=Radiobutton(self.frame,text="on",variable=self._DocProof,value=0)
		radio182=Radiobutton(self.frame,text="off",variable=self._DocProof,value=1)

		radio191=Radiobutton(self.frame,text="on",variable=self._PClR,value=0,command=self.check_RFRBClR)
		radio192=Radiobutton(self.frame,text="off",variable=self._PClR,value=1,command=self.check_RFRBClR)

		radio201=Radiobutton(self.frame,text="on",variable=self._PDer,value=0)
		radio202=Radiobutton(self.frame,text="off",variable=self._PDer,value=1)

		radio211=Radiobutton(self.frame,text="on",variable=self._PGiven,value=0)
		radio212=Radiobutton(self.frame,text="off",variable=self._PGiven,value=1)

		radio221=Radiobutton(self.frame,text="on",variable=self._PKept,value=0)
		radio222=Radiobutton(self.frame,text="off",variable=self._PKept,value=1)

		radio231=Radiobutton(self.frame,text="on",variable=self._DocSplit,value=0)
		radio232=Radiobutton(self.frame,text="off",variable=self._DocSplit,value=1)

		radio241=Radiobutton(self.frame,text="on",variable=self._PProblem,value=1)
		radio242=Radiobutton(self.frame,text="off",variable=self._PProblem,value=0)

		radio251=Radiobutton(self.frame,text="on",variable=self._PEmptyClause,value=1)
		radio252=Radiobutton(self.frame,text="off",variable=self._PEmptyClause,value=0)

		radio261=Radiobutton(self.frame,text="on",variable=self._PStatistic,value=1)
		radio262=Radiobutton(self.frame,text="off",variable=self._PStatistic,value=0)

		radio291=Radiobutton(self.frame,text="on",variable=self._PFlags,value=1)
		radio292=Radiobutton(self.frame,text="off",variable=self._PFlags,value=0)

		radio311=Radiobutton(self.frame,text="on",variable=self._DocFormulaeOnly,value=1)
		radio312=Radiobutton(self.frame,text="off",variable=self._DocFormulaeOnly,value=0)

		radio321=Radiobutton(self.frame,text="on",variable=self._PUnC,value=0,command=self.check_RUnC)
		radio322=Radiobutton(self.frame,text="off",variable=self._PUnC,value=1,command=self.check_RUnC)

		radio341=Radiobutton(self.frame,text="on",variable=self._PApplyDefs,value=0)
		radio342=Radiobutton(self.frame,text="off",variable=self._PApplyDefs,value=1)

		radio081.grid(row=7,column=1,sticky="W")
		radio082.grid(row=7,column=2,sticky="W")
		radio101.grid(row=9,column=1,sticky="W")
		radio102.grid(row=9,column=2,sticky="W")
		radio111.grid(row=10,column=1,sticky="W")
		radio112.grid(row=10,column=2,sticky="W")
		radio121.grid(row=11,column=1,sticky="W")
		radio122.grid(row=11,column=2,sticky="W")
		radio131.grid(row=12,column=1,sticky="W")
		radio132.grid(row=12,column=2,sticky="W")
		radio141.grid(row=13,column=1,sticky="W")
		radio142.grid(row=13,column=2,sticky="W")
		radio151.grid(row=14,column=1,sticky="W")
		radio152.grid(row=14,column=2,sticky="W")
		radio161.grid(row=15,column=1,sticky="W")
		radio162.grid(row=15,column=2,sticky="W")
		radio171.grid(row=16,column=1,sticky="W")
		radio172.grid(row=16,column=2,sticky="W")
		radio181.grid(row=17,column=1,sticky="W")
		radio182.grid(row=17,column=2,sticky="W")
		radio191.grid(row=18,column=1,sticky="W")
		radio192.grid(row=18,column=2,sticky="W")
		radio201.grid(row=19,column=1,sticky="W")
		radio202.grid(row=19,column=2,sticky="W")
		radio211.grid(row=20,column=1,sticky="W")
		radio212.grid(row=20,column=2,sticky="W")
		radio221.grid(row=21,column=1,sticky="W")
		radio222.grid(row=21,column=2,sticky="W")
		radio231.grid(row=22,column=1,sticky="W")
		radio232.grid(row=22,column=2,sticky="W")
		radio241.grid(row=23,column=1,sticky="W")
		radio242.grid(row=23,column=2,sticky="W")
		radio251.grid(row=24,column=1,sticky="W")
		radio252.grid(row=24,column=2,sticky="W")
		radio261.grid(row=25,column=1,sticky="W")
		radio262.grid(row=25,column=2,sticky="W")
		radio291.grid(row=28,column=1,sticky="W")
		radio292.grid(row=28,column=2,sticky="W")
		radio311.grid(row=31,column=1,sticky="W")
		radio312.grid(row=31,column=2,sticky="W")
		radio321.grid(row=32,column=1,sticky="W")
		radio322.grid(row=32,column=2,sticky="W")
		radio341.grid(row=33,column=1,sticky="W")
		radio342.grid(row=33,column=2,sticky="W")
		self.errors={}
		self.errors["RFSub"]="F"
		self.errors["RSST"]="F"
		self.errors["RDST"]="F"
		self.errors["RFRBRew"]="F"
		self.errors["RCon"]="F"
		self.errors["RTaut"]="F"
		self.errors["RObv"]="F"
		self.errors["RSSi"]="F"
		self.errors["RFRBClR"]="F"
		self.errors["RUnC"]="F"

	def check_RFSub(self):
		if self._PSub.get()==0:
			if self.parent.delt._RFSub.get()==0:	
				if self.errors["RFSub"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Forward subsumption not activated (group: deletion)")
					self.errors["RFSub"]="T"
			else:
				self.errors["RFSub"]="F"
		else:
			self.errors["RFSub"]="F"

	def check_RSST(self):
		if (self._DocSST.get()==1 or self._PSST.get()==0):
			if self.parent.c._RSST.get()==0:	
				if self.errors["RSST"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Static soft typing not activated (group: calculus)")
					self.errors["RSST"]="T"
			else:
				self.errors["RSST"]="F"
		else:
			self.errors["RSST"]="F"

	def check_RDST(self):
		if self._DocDST.get()==1:
			if self.parent.c._RDST.get()==0:	
				if self.errors["RDST"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Dynamic soft typing not activated (group: calculus)")
					self.errors["RDST"]="T"
			else:
				self.errors["RDST"]="F"
		else:
			self.errors["RDST"]="F"

	def check_RFRBRew(self):
		if self._PRew.get()==0:
			if (self.parent.delt._RBRew.get()==0 and self.parent.delt._RFRew.get()==0):	
				if self.errors["RFRBRew"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Neither forward nor backward rewriting activated (group: deletion)")
					self.errors["RFRBRew"]="T"
			else:
				self.errors["RFRBRew"]="F"
		else:
			self.errors["RFRBRew"]="F"

	def check_RCon(self):
		if self._PCon.get()==0:
			if self.parent.delt._RCon.get()==0:	
				if self.errors["RCon"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Condensing not activated (group: deletion)")
					self.errors["RCon"]="T"
			else:
				self.errors["RCon"]="F"
		else:
			self.errors["RCon"]="F"

	def check_RTaut(self):
		if self._PTaut.get()==0:
			if self.parent.red._RTaut.get()==0:	
				if self.errors["RTaut"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Tautology not activated (group: reduction rules)")
					self.errors["RTaut"]="T"
			else:
				self.errors["RTaut"]="F"
		else:
			self.errors["RTaut"]="F"

	def check_RObv(self):
		if self._PObv.get()==0:
			if self.parent.red._RObv.get()==0:	
				if self.errors["RObv"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Obvious Reduction not activated (group: reduction rules)")
					self.errors["RObv"]="T"
			else:
				self.errors["RObv"]="F"
		else:
			self.errors["RObv"]="F"

	def check_RSSi(self):
		if self._PSSi.get()==0:
			if self.parent.red._RSSi.get()==0:	
				if self.errors["RSSi"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Sort Simplification not activated (group: reduction rules)")
					self.errors["RSSi"]="T"
			else:
				self.errors["RSSi"]="F"
		else:
			self.errors["RSSi"]="F"

	def check_RFRBClR(self):
		if self._PClR.get()==0:
			if (self.parent.red._RBClR.get()==0 and self.parent.red._RFClR.get()==0):	
				if self.errors["RFRBClR"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Neither forward nor backward Clause Reduction activated (group: reduction rules)")
					self.errors["RFRBClR"]="T"
			else:
				self.errors["RFRBClR"]="F"
		else:
			self.errors["RFRBClR"]="F"

	def check_RUnC(self):
		if self._PUnC.get()==0:
			if self.parent.red._RUnC.get()==0:
				if self.errors["RUnC"]=="F":
					tkMessageBox.showinfo("can not print - deactivated","Unit Conflict not activated (group: reduction rules)")
					self.errors["RUnC"]="T"
			else:
				self.errors["RUnC"]="F"
		else:
			self.errors["RUnC"]="F"

	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()

class prnt:
##########################################################################################
#Presents frame with flags for print to file									#
#		flags:											#
#			_FPModel									#
#			_FPDFGProof									#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("PRINT")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._FPModel=IntVar()
		self._FPModel.set(1)
		self._FPDFGProof=IntVar()
		self._FPDFGProof.set(0)
		label27 = Label(self.frame, text="Output saturated set of clauses to file:")
		label28 = Label(self.frame, text="Output proof in DFG format to file:")
		label27.grid(row=26, column=0,sticky="E")
		label28.grid(row=27, column=0,sticky="E")

		radio271=Radiobutton(self.frame,text="on",variable=self._FPModel,value=1)
		radio272=Radiobutton(self.frame,text="off",variable=self._FPModel,value=0)

		radio281=Radiobutton(self.frame,text="on",variable=self._FPDFGProof,value=1)
		radio282=Radiobutton(self.frame,text="off",variable=self._FPDFGProof,value=0)

		radio271.grid(row=26,column=1,sticky="W")
		radio272.grid(row=26,column=2,sticky="W")
		radio281.grid(row=27,column=1,sticky="W")
		radio282.grid(row=27,column=2,sticky="W")

	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()

class inference_rule:
##########################################################################################
#Presents frame with flags for choose inference rules								#
#		flags:											#
#			_IEmS										#
#			_ISoR										#
#			_IEqR										#
#			_IEqF										#
#			_IMPm										#
#			_ISpR										#
#			_ISpL										#
#			_IGeR										#
#			_IGeF										#
#			_IBUR										#
#			_IUnR										#
#			_IOpM										#
#			_ISPm										#
#			_ISHy										#
#			_IOHy										#
#			_IDEF										#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("INFERENCE RULE")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._IEmS=IntVar()
		self._IEmS.set(0)
		self._ISoR=IntVar()
		self._ISoR.set(0)
		self._IEqR=IntVar()
		self._IEqR.set(1)
		self._IEqF=IntVar()
		self._IEqF.set(0)
		self._IMPm=IntVar()
		self._IMPm.set(1)
		self._ISpR=IntVar()
		self._ISpR.set(1)
		self._ISpL=IntVar()
		self._ISpL.set(1)
		self._IGeR=IntVar()
		self._IGeR.set(1)
		self._IGeF=IntVar()
		self._IGeF.set(1)
		self._IBUR=IntVar()
		self._IBUR.set(0)
		self._IUnR=IntVar()
		self._IUnR.set(0)
		self._IOPm=IntVar()
		self._IOPm.set(0)
		self._ISPm=IntVar()
		self._ISPm.set(0)
		self._ISHy=IntVar()
		self._ISHy.set(0)
		self._IOHy=IntVar()
		self._IOHy.set(0)
		self._IDEF=IntVar()
		self._IDEF.set(0)
		label33 = Label(self.frame, text="Empty Sort:")
		label34 = Label(self.frame, text="Sort Resolution:")
		label35 = Label(self.frame, text="Equality Resolution:")
		label36 = Label(self.frame, text="Equality Factoring:")
		label37 = Label(self.frame, text="Merging Paramodulation:")
		label38 = Label(self.frame, text="Superposition Right:")
		label39 = Label(self.frame, text="Superposition Left:")
		label40 = Label(self.frame, text="General Resolution:")
		label41 = Label(self.frame, text="General Factoring:")
		label42 = Label(self.frame, text="Bounded Unit Resolution:")
		label43 = Label(self.frame, text="Unit Resolution:")
		label44 = Label(self.frame, text="Ordered Paramodulation:")
		label45 = Label(self.frame, text="Paramodulation:")
		label46 = Label(self.frame, text="Simple Hyperresolution:")
		label47 = Label(self.frame, text="Ordered Hyperresolution:")
		label48 = Label(self.frame, text="Definition Application:")

		label33.grid(row=1, column=0,sticky="E")
		label34.grid(row=2, column=0,sticky="E")
		label35.grid(row=3, column=0,sticky="E")
		label36.grid(row=14, column=0,sticky="E")
		label37.grid(row=12, column=0,sticky="E")
		label38.grid(row=9, column=0,sticky="E")
		label39.grid(row=10, column=0,sticky="E")
		label40.grid(row=4, column=0,sticky="E")
		label41.grid(row=15, column=0,sticky="E")
		label42.grid(row=5, column=0,sticky="E")
		label43.grid(row=6, column=0,sticky="E")
		label44.grid(row=13, column=0,sticky="E")
		label45.grid(row=11, column=0,sticky="E")
		label46.grid(row=7, column=0,sticky="E")
		label47.grid(row=8, column=0,sticky="E")
		label48.grid(row=16, column=0,sticky="E")


		radio331=Radiobutton(self.frame,text="on",variable=self._IEmS,value=1)
		radio332=Radiobutton(self.frame,text="off",variable=self._IEmS,value=0)

		radio341=Radiobutton(self.frame,text="on",variable=self._ISoR,value=1)
		radio342=Radiobutton(self.frame,text="off",variable=self._ISoR,value=0)

		radio351=Radiobutton(self.frame,text="on",variable=self._IEqR,value=1)
		radio352=Radiobutton(self.frame,text="off",variable=self._IEqR,value=0)

		radio361=Radiobutton(self.frame,text="on",variable=self._IEqF,value=1)
		radio362=Radiobutton(self.frame,text="off",variable=self._IEqF,value=0)

		radio371=Radiobutton(self.frame,text="on",variable=self._IMPm,value=1)
		radio372=Radiobutton(self.frame,text="off",variable=self._IMPm,value=0)

		radio381=Radiobutton(self.frame,text="on",variable=self._ISpR,value=1)
		radio382=Radiobutton(self.frame,text="off",variable=self._ISpR,value=0)

		radio391=Radiobutton(self.frame,text="on",variable=self._ISpL,value=1)
		radio392=Radiobutton(self.frame,text="off",variable=self._ISpL,value=0)

		radio401=Radiobutton(self.frame,text="on",variable=self._IGeR,value=1)
		radio402=Radiobutton(self.frame,text="off",variable=self._IGeR,value=0)

		radio411=Radiobutton(self.frame,text="on",variable=self._IGeF,value=1)
		radio412=Radiobutton(self.frame,text="off",variable=self._IGeF,value=0)

		radio421=Radiobutton(self.frame,text="on",variable=self._IBUR,value=1)
		radio422=Radiobutton(self.frame,text="off",variable=self._IBUR,value=0)

		radio431=Radiobutton(self.frame,text="on",variable=self._IUnR,value=1)
		radio432=Radiobutton(self.frame,text="off",variable=self._IUnR,value=0)

		radio441=Radiobutton(self.frame,text="on",variable=self._IOPm,value=0)
		radio442=Radiobutton(self.frame,text="off",variable=self._IOPm,value=1)

		radio451=Radiobutton(self.frame,text="on",variable=self._ISPm,value=0)
		radio452=Radiobutton(self.frame,text="off",variable=self._ISPm,value=1)

		radio461=Radiobutton(self.frame,text="on",variable=self._ISHy,value=0)
		radio462=Radiobutton(self.frame,text="off",variable=self._ISHy,value=1)

		radio471=Radiobutton(self.frame,text="on",variable=self._IOHy,value=1)
		radio472=Radiobutton(self.frame,text="off",variable=self._IOHy,value=0)

		radio481=Radiobutton(self.frame,text="on",variable=self._IDEF,value=1)
		radio482=Radiobutton(self.frame,text="off",variable=self._IDEF,value=0)


		radio331.grid(row=1,column=1,sticky="W")
		radio332.grid(row=1,column=2,sticky="W")
		radio341.grid(row=2,column=1,sticky="W")
		radio342.grid(row=2,column=2,sticky="W")
		radio351.grid(row=3,column=1,sticky="W")
		radio352.grid(row=3,column=2,sticky="W")
		radio361.grid(row=14,column=1,sticky="W")
		radio362.grid(row=14,column=2,sticky="W")
		radio371.grid(row=12,column=1,sticky="W")
		radio372.grid(row=12,column=2,sticky="W")
		radio381.grid(row=9,column=1,sticky="W")
		radio382.grid(row=9,column=2,sticky="W")
		radio391.grid(row=10,column=1,sticky="W")
		radio392.grid(row=10,column=2,sticky="W")
		radio401.grid(row=4,column=1,sticky="W")
		radio402.grid(row=4,column=2,sticky="W")
		radio411.grid(row=15,column=1,sticky="W")
		radio412.grid(row=15,column=2,sticky="W")
		radio421.grid(row=5,column=1,sticky="W")
		radio422.grid(row=5,column=2,sticky="W")
		radio431.grid(row=6,column=1,sticky="W")
		radio432.grid(row=6,column=2,sticky="W")
		radio441.grid(row=13,column=1,sticky="W")
		radio442.grid(row=13,column=2,sticky="W")
		radio451.grid(row=11,column=1,sticky="W")
		radio452.grid(row=11,column=2,sticky="W")
		radio461.grid(row=7,column=1,sticky="W")
		radio462.grid(row=7,column=2,sticky="W")
		radio471.grid(row=8,column=1,sticky="W")
		radio472.grid(row=8,column=2,sticky="W")
		radio481.grid(row=16,column=1,sticky="W")
		radio482.grid(row=16,column=2,sticky="W")

	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()

class reduction:
##########################################################################################
#Presents frame with flags for reduction									#
#		flags:											#
#			_RFClR										#
#			_RBClR										#
#			_RObv										#
#			_RTaut										#
#			_RSSi										#
#			_RInput										#
#			_FullRed									#
#			_RUnC										#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("REDUCTION")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._RFClR=IntVar()
		self._RFClR.set(1)
		self._RBClR=IntVar()
		self._RBClR.set(1)
		self._RObv=IntVar()
		self._RObv.set(1)
		self._RTaut=IntVar()
		self._RTaut.set(1)
		self._RSSi=IntVar()
		self._RSSi.set(1)
		self._RInput=IntVar()
		self._RInput.set(1)
		self._FullRed=IntVar()
		self._FullRed.set(1)
		self._RUnC=IntVar()
		self._RUnC.set(1)
		label48 = Label(self.frame, text="Forward Clause Reduction:")
		label49 = Label(self.frame, text="Backward Clause Reduction:")
		label50 = Label(self.frame, text="Obvious Reduction:")
		label51 = Label(self.frame, text="Tautology:")
		label52 = Label(self.frame, text="Sort Simplification:")
		label56 = Label(self.frame, text="Reduction of input clauses:")
		label57 = Label(self.frame, text="Completely interreduced:")
		label58=Label(self.frame,text="Unit Conflict")
		label48.grid(row=47, column=0,sticky="E")
		label49.grid(row=48, column=0,sticky="E")
		label50.grid(row=49, column=0,sticky="E")
		label51.grid(row=50, column=0,sticky="E")
		label52.grid(row=51, column=0,sticky="E")
		label56.grid(row=55, column=0,sticky="E")
		label57.grid(row=56, column=0,sticky="E")
		label58.grid(row=57, column=0,sticky="E")

		radio481=Radiobutton(self.frame,text="on",variable=self._RFClR,value=1)
		radio482=Radiobutton(self.frame,text="off",variable=self._RFClR,value=0)

		radio491=Radiobutton(self.frame,text="on",variable=self._RBClR,value=1)
		radio492=Radiobutton(self.frame,text="off",variable=self._RBClR,value=0)

		radio501=Radiobutton(self.frame,text="on",variable=self._RObv,value=1)
		radio502=Radiobutton(self.frame,text="off",variable=self._RObv,value=0)

		radio511=Radiobutton(self.frame,text="on",variable=self._RTaut,value=1)
		radio512=Radiobutton(self.frame,text="off",variable=self._RTaut,value=0)

		radio521=Radiobutton(self.frame,text="on",variable=self._RSSi,value=1)
		radio522=Radiobutton(self.frame,text="off",variable=self._RSSi,value=0)

		radio561=Radiobutton(self.frame,text="on",variable=self._RInput,value=1)
		radio562=Radiobutton(self.frame,text="off",variable=self._RInput,value=0)

		radio571=Radiobutton(self.frame,text="usable and worked off",variable=self._FullRed,value=1)
		radio572=Radiobutton(self.frame,text="worked off",variable=self._FullRed,value=0)

		radio581=Radiobutton(self.frame,text="on",variable=self._RUnC,value=1)
		radio582=Radiobutton(self.frame,text="off",variable=self._RUnC,value=0)

		radio481.grid(row=47,column=1,sticky="W")
		radio482.grid(row=47,column=2,sticky="W")
		radio491.grid(row=48,column=1,sticky="W")
		radio492.grid(row=48,column=2,sticky="W")
		radio501.grid(row=49,column=1,sticky="W")
		radio502.grid(row=49,column=2,sticky="W")
		radio511.grid(row=50,column=1,sticky="W")
		radio512.grid(row=50,column=2,sticky="W")
		radio521.grid(row=51,column=1,sticky="W")
		radio522.grid(row=51,column=2,sticky="W")
		radio561.grid(row=55,column=1,sticky="W")
		radio562.grid(row=55,column=2,sticky="W")
		radio571.grid(row=56,column=1,sticky="W")
		radio572.grid(row=56,column=2,sticky="W")
		radio581.grid(row=57,column=1,sticky="W")
		radio582.grid(row=57,column=2,sticky="W")

	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()

class weight:
##########################################################################################
#Presents frame with flags for weight									#
#		flags:											#
#			_WDRatio									#
#			_FuncWeight									#
#			_VarWeight									#
#			_PrefVar										#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("WEIGHT")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._WDRatio=StringVar()
		self._WDRatio.set("5")
		self._FuncWeight=StringVar()
		self._FuncWeight.set("1")
		self._VarWeight=StringVar()
		self._VarWeight.set("1")
		self._PrefVar=IntVar()
		self._PrefVar.set(0)
		self.WDRatioEntry=Entry(self.frame,textvariable=self._WDRatio,width=6)
		self.FuncWeightEntry=Entry(self.frame,textvariable=self._FuncWeight,width=6)
		self.VarWeightEntry=Entry(self.frame,textvariable=self._VarWeight,width=6)
		label59 = Label(self.frame, justify=RIGHT, text="Ratio between weight and depth selection\nof clauses from usable:")
		label60 = Label(self.frame, justify=RIGHT, text="Weight of a function symbol;\nweight of clause is used to select given:")
		label61 = Label(self.frame, justify=RIGHT, text="Weight of a variable symbol;\nweight of clause is used to select given:")
		label62 = Label(self.frame, justify=RIGHT, text="Prefer the selection of clauses\nwith many variable occurences")
		label59.grid(row=58, column=0,sticky="E")
		label60.grid(row=59, column=0,sticky="E")
		label61.grid(row=60, column=0,sticky="E")
		label62.grid(row=61, column=0,sticky="E")
		self.WDRatioEntry.grid(row=58,column=1,sticky="E")
		self.FuncWeightEntry.grid(row=59,column=1,sticky="E")
		self.VarWeightEntry.grid(row=60,column=1,sticky="E")
		radio621=Radiobutton(self.frame,text="on",variable=self._PrefVar,value=1)
		radio622=Radiobutton(self.frame,text="off",variable=self._PrefVar,value=0)
		radio621.grid(row=61,column=1,sticky="W")
		radio622.grid(row=61,column=2,sticky="W")


	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()


class calculus:
##########################################################################################
#Presents frame with flags for calculus									#
#		flags:											#
#			_Loops, loopnum									#
#			_Splits, splitnum									#
#			_Sorts										#
#			_Select										#
#			_RSST										#
#			_RDST										#
#			_SatInput									#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("CALCULUS")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._Loops=IntVar()
		self._Loops.set(1)
		self._Splits=IntVar()
		self._Splits.set(1)
		self._Sorts=IntVar()
		self._Sorts.set(0)
		self._Select=IntVar()
		self._Select.set(2)
		self._RSST=IntVar()
		self._RSST.set(1)
		self._RDST=IntVar()
		self._RDST.set(1)
		self._SatInput=IntVar()
		self._SatInput.set(0)
		self.loopnum=StringVar()
		self.splitnum=StringVar()
		label05 = Label(self.frame, text="allowed number of loops:")
		label06 = Label(self.frame, text="allowed number of splits:")
		label07 = Label(self.frame, text="level of sort usage:")
		label32 = Label(self.frame, text="Select:")
		label53 = Label(self.frame, text="Static soft typing:")
		label54 = Label(self.frame, text="Dynamic soft typing:")
		label58 = Label(self.frame, text="Unit sat. of input clauses:")
		label05.grid(row=4, column=0,sticky="E")
		label06.grid(row=5, column=0,sticky="E")
		label07.grid(row=6, column=0,sticky="E")
		label32.grid(row=31, column=0,sticky="E")
		label53.grid(row=52, column=0,sticky="E")
		label54.grid(row=53, column=0,sticky="E")
		label58.grid(row=57, column=0,sticky="E")

		radio051=Radiobutton(self.frame,text="unrestricted",variable=self._Loops,value=1)
		radio052=Radiobutton(self.frame,text="restricted",variable=self._Loops,value=0)
		loopnumEntry=Entry(self.frame,textvariable=self.loopnum,width=6)

		radio061=Radiobutton(self.frame,text="unrestricted",variable=self._Splits,value=1)
		radio062=Radiobutton(self.frame,text="restricted",variable=self._Splits,value=0)
		splitnumEntry=Entry(self.frame,textvariable=self.splitnum,width=6)

		radio071=Radiobutton(self.frame,text="neg. monadic lit.",variable=self._Sorts,value=2,command=self.warn_Sorts)
		radio072=Radiobutton(self.frame,justify=LEFT, text="neg. monadic lit.\nwith var",variable=self._Sorts,value=1,command=self.warn_Sorts)
		radio073=Radiobutton(self.frame,text="none",variable=self._Sorts,value=0)

		radio321=Radiobutton(self.frame,text="no",variable=self._Select,value=0,command=self.warn_Select)
		radio322=Radiobutton(self.frame,text="mult. max. lit.",variable=self._Select,value=1,command=self.warn_Select)
		radio323=Radiobutton(self.frame,text="always.",variable=self._Select,value=2)

		radio531=Radiobutton(self.frame,text="on",variable=self._RSST,value=1)
		radio532=Radiobutton(self.frame,text="off",variable=self._RSST,value=0)

		radio541=Radiobutton(self.frame,text="on",variable=self._RDST,value=1)
		radio542=Radiobutton(self.frame,text="off",variable=self._RDST,value=0)

		radio581=Radiobutton(self.frame,text="on",variable=self._SatInput,value=1)
		radio582=Radiobutton(self.frame,text="off",variable=self._SatInput,value=0)

		radio051.grid(row=4,column=1,sticky="W")
		radio052.grid(row=4,column=2,sticky="W")
		loopnumEntry.grid(row=4,column=3,sticky="W")
		radio061.grid(row=5,column=1,sticky="W")
		radio062.grid(row=5,column=2,sticky="W")
		splitnumEntry.grid(row=5,column=3,sticky="W")
		radio071.grid(row=6,column=1,sticky="W")
		radio072.grid(row=6,column=2,sticky="W")
		radio073.grid(row=6,column=3,sticky="W")
		radio321.grid(row=31,column=1,sticky="W")
		radio322.grid(row=31,column=2,sticky="W")
		radio323.grid(row=31,column=3,sticky="W")
		radio531.grid(row=52,column=1,sticky="W")
		radio532.grid(row=52,column=2,sticky="W")
		radio541.grid(row=53,column=1,sticky="W")
		radio542.grid(row=53,column=2,sticky="W")
		radio581.grid(row=57,column=1,sticky="W")
		radio582.grid(row=57,column=2,sticky="W")

	def warn_Sorts(self):
		if (self._Sorts.get()==2 or self._Sorts.get()==1):
			tkMessageBox.showinfo("Modelbuilding","Only 'no sort usage' safe for modelbuilding")

	def warn_Select(self):
		if (self._Select.get()==0 or self._Select.get()==1):
			tkMessageBox.showinfo("Modelbuilding","Only 'always select'  safe for modelbuilding")

	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()

class system:
##########################################################################################
#Presents frame with flags for calculus									#
#		flags:											#
#			_Memory,  memnum								#
#			_TimeLimit, secnum								#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("SYSTEM")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._Memory=IntVar()
		self._Memory.set(1)
		self._TimeLimit=IntVar()
		self._TimeLimit.set(1)
		self.memnum=StringVar()
		self.secnum=StringVar()
		label09 = Label(self.frame, text="Maximal memory allocation:")
		label31 = Label(self.frame, text="Seconds available to SPASS:")
		label09.grid(row=8, column=0,sticky="E")
		label31.grid(row=30, column=0,sticky="E")

		radio091=Radiobutton(self.frame,text="unrestricted",variable=self._Memory,value=1)
		radio092=Radiobutton(self.frame,text="restricted",variable=self._Memory,value=0)
		memnumEntry=Entry(self.frame,textvariable=self.memnum,width=6)

		radio311=Radiobutton(self.frame,text="unrestricted",variable=self._TimeLimit,value=1)
		radio312=Radiobutton(self.frame,text="restricted",variable=self._TimeLimit,value=0)
		secnumEntry=Entry(self.frame,textvariable=self.secnum,width=6)

		radio091.grid(row=8,column=1,sticky="W")
		radio092.grid(row=8,column=2,sticky="W")
		memnumEntry.grid(row=8,column=3,sticky="W",padx=4)
		radio311.grid(row=30,column=1,sticky="W")
		radio312.grid(row=30,column=2,sticky="W")
		secnumEntry.grid(row=30,column=3,sticky="W",padx=4)

	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()


class deletion:
##########################################################################################
#Presents frame with flags for deletion									#
#		flags:											#
#			_RFRew										#
#			_RBRew										#
#			_RFSub										#
#			_RBSub										#
#			_RCon										#
#		methods:										#
#			__init__(self,parent=None)							#
#			show(self)									#
#			hide(self)									#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("DELETION")
		self.frame=Frame(parent.top,bd=3,relief=RIDGE)
		self._RFRew=IntVar()
		self._RFRew.set(1)
		self._RBRew=IntVar()
		self._RBRew.set(1)
		self._RFSub=IntVar()
		self._RFSub.set(1)
		self._RBSub=IntVar()
		self._RBSub.set(1)
		self._RCon=IntVar()
		self._RCon.set(1)
		label44 = Label(self.frame, text="Forward Rewriting:")
		label45 = Label(self.frame, text="Backward Rewriting:")
		label46 = Label(self.frame, text="Forward Subsumption:")
		label47 = Label(self.frame, text="Backward Subsumption:")
		label55 = Label(self.frame, text="Condensing:")

		label44.grid(row=43, column=0,sticky="E")
		label45.grid(row=44, column=0,sticky="E")
		label46.grid(row=45, column=0,sticky="E")
		label47.grid(row=46, column=0,sticky="E")
		label55.grid(row=54, column=0,sticky="E")

		radio441=Radiobutton(self.frame,text="on",variable=self._RFRew,value=1)
		radio442=Radiobutton(self.frame,text="off",variable=self._RFRew,value=0)

		radio451=Radiobutton(self.frame,text="on",variable=self._RBRew,value=1)
		radio452=Radiobutton(self.frame,text="off",variable=self._RBRew,value=0)

		radio461=Radiobutton(self.frame,text="on",variable=self._RFSub,value=1)
		radio462=Radiobutton(self.frame,text="off",variable=self._RFSub,value=0)

		radio471=Radiobutton(self.frame,text="on",variable=self._RBSub,value=1)
		radio472=Radiobutton(self.frame,text="off",variable=self._RBSub,value=0)
		radio551=Radiobutton(self.frame,text="on",variable=self._RCon,value=1)
		radio552=Radiobutton(self.frame,text="off",variable=self._RCon,value=0)

		radio441.grid(row=43,column=1,sticky="W")
		radio442.grid(row=43,column=2,sticky="W")
		radio451.grid(row=44,column=1,sticky="W")
		radio452.grid(row=44,column=2,sticky="W")
		radio461.grid(row=45,column=1,sticky="W")
		radio462.grid(row=45,column=2,sticky="W")
		radio471.grid(row=46,column=1,sticky="W")
		radio472.grid(row=46,column=2,sticky="W")
		radio551.grid(row=54,column=1,sticky="W")
		radio552.grid(row=54,column=2,sticky="W")

	def show(self):
		self.top.deiconify()

	def hide(self):
		self.top.withdraw()

