#!/usr/local/bin/python
import sys
import os
import string
import glob
import tkMessageBox
from Tkinter import *
from Tkconstants import *
from FileDialog import *  
from io import *


###########################################################################################
###########################################################################################
##													##
##	TPTP2X FLAGS - Flags for TPTP to X translation							##
##		classes:											##
##			TPTP_flags									##
##													##
###########################################################################################
###########################################################################################



class level_of_quietness:
##########################################################################################
#Presents frame with flags for screen output									#
#		flags:											#
#			CNFOptSkolem									#
#			CNFProofSteps									#
#			CNFStrSkolem									#
#			CNFRenaming									#
#			POptSkolem									#
#			PStrSkolem									#
#			CNFPRenaming									#
#													#
#		methods:										#
#			__init__(self,parent=offne) ... initialises flags and window				#
#			check_CNFOptSkolem(self) ... checks flag if print-flag is set				#
#			check_CNFStrSkolem(self) ... checks flag if print-flag is set				#
#			check_CNFRenaming(self) ... checks flag if print-flag is set				#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("DFG to CNF Flags")
		self.frame=Frame(parent.top)
		
		self.q=IntVar()
		self.q.set(3)

		label1 = Label(self.frame, text="Level of Quietness:")
		label1.grid(row=1, column=0,sticky="E")

		radio11=Radiobutton(self.frame,text="verbose mode",variable=self.q,value=0)
		radio12=Radiobutton(self.frame,text="suppress informational output\n from Prolog interpreter",variable=self.q,value=1)
		radio13=Radiobutton(self.frame,text="only show what files are produced",variable=self.q,value=2)
		radio14=Radiobutton(self.frame,text="off",variable=self.q,value=3)

		radio11.grid(row=1,column=1,sticky="W")
		radio12.grid(row=1,column=2,sticky="W")
		radio13.grid(row=1,column=3,sticky="W")
		radio14.grid(row=1,column=4,sticky="W")

class usage_info:
##########################################################################################
#Presents frame with flags for screen output									#
#		flags:											#
#			CNFOptSkolem									#
#			CNFProofSteps									#
#			CNFStrSkolem									#
#			CNFRenaming									#
#			POptSkolem									#
#			PStrSkolem									#
#			CNFPRenaming									#
#													#
#		methods:										#
#			__init__(self,parent=offne) ... initialises flags and window				#
#			check_CNFOptSkolem(self) ... checks flag if print-flag is set				#
#			check_CNFStrSkolem(self) ... checks flag if print-flag is set				#
#			check_CNFRenaming(self) ... checks flag if print-flag is set				#
##########################################################################################
	def __init__(self,parent=None):
#		self.top = Toplevel()
#		self.top.title("DFG to CNF Flags")
		self.frame=Frame(parent.top)
		
		self.h=IntVar()
		self.h.set(0)

		label1 = Label(self.frame, text="Display usage information:")
		label1.grid(row=1, column=0,sticky="E")

		radio11=Radiobutton(self.frame,text="on",variable=self.h,value=1)
		radio12=Radiobutton(self.frame,text="off",variable=self.h,value=0)

		radio11.grid(row=1,column=1,sticky="W")
		radio12.grid(row=1,column=2,sticky="W")

class transform:
##########################################################################################
#Presents frame with flags for screen output									#
#		flags:											#
#			CNFOptSkolem									#
#			CNFProofSteps									#
#			CNFStrSkolem									#
#			CNFRenaming									#
#			POptSkolem									#
#			PStrSkolem									#
#			CNFPRenaming									#
#													#
#		methods:										#
#			__init__(self,parent=offne) ... initialises flags and window				#
#			check_CNFOptSkolem(self) ... checks flag if print-flag is set				#
#			check_CNFStrSkolem(self) ... checks flag if print-flag is set				#
#			check_CNFRenaming(self) ... checks flag if print-flag is set				#
##########################################################################################
	def __init__(self,parent=None,fkt=""):
#		self.top = Toplevel()
#		self.top.title("DFG to CNF Flags")
		self.fkt=fkt
		self.frame=Frame(parent.top)
		self.frame0=Frame(self.frame)
		self.frame0.pack(side=LEFT,padx=10,pady=10,anchor=N)
		self.frame1=Frame(self.frame,bd=3,relief=RIDGE)

		self.t=IntVar()
		self.t.set(0)
		label1 = Label(self.frame0, text="Apply transformations:")
		label1.grid(row=0, column=0,sticky="E")
		radio11=Radiobutton(self.frame0,text="on",variable=self.t,value=1,command=self.trans)
		radio12=Radiobutton(self.frame0,text="off",variable=self.t,value=0,command=self.trans)
		radio11.grid(row=0,column=1,sticky="W")
		radio12.grid(row=1,column=1,sticky="W")

		self.clausify=IntVar()
		self.clausify.set(0)
		self.simplify=IntVar()
		self.simplify.set(0)
		self.cnf=IntVar()
		self.cnf.set(0)
		self.lr=IntVar()
		self.lr.set(0)
		self.cr=IntVar()
		self.cr.set(0)
		self.clr=IntVar()
		self.clr.set(0)
		self.fr=IntVar()
		self.fr.set(0)
		self.random=IntVar()
		self.random.set(0)
		self.er=IntVar()
		self.er.set(0)
		self.ran_er=IntVar()
		self.ran_er.set(0)
		self.rm_equality=IntVar()
		self.rm_equality.set(0)
		self.add_equality=IntVar()
		self.add_equality.set(0)
		label01 = Label(self.frame1, text="Clausify:")
		label01.grid(row=0, column=0,sticky="E")
		label02 = Label(self.frame1, text="Simplify:")
		label02.grid(row=1, column=0,sticky="E")
		label03 = Label(self.frame1, text="CNF - Cluasify followed by Simplify:")
		label03.grid(row=2, column=0,sticky="E")
		label04 = Label(self.frame1, text="reverse literal ordering (CNF):")
		label04.grid(row=3, column=0,sticky="E")
		label05 = Label(self.frame1, text="reverse clause ordering (CNF):")
		label05.grid(row=4, column=0,sticky="E")
		label06 = Label(self.frame1, text="Both clausal reversals:")
		label06.grid(row=5, column=0,sticky="E")
		label07 = Label(self.frame1, text="reverse formula ordering (FOF):")
		label07.grid(row=6, column=0,sticky="E")
		label08 = Label(self.frame1, text="randomly reorder clauses and literals (CNF)\nrandomly reorder formulae (FOF):")
		label08.grid(row=7, column=0,sticky="E")
		label09 = Label(self.frame1, text="reverse arguments of all clauses (unit eqality CNF):")
		label09.grid(row=8, column=0,sticky="E")
		label10 = Label(self.frame1, text="reverse arguments of rand. selected clauses (un.eq.CNF):")
		label10.grid(row=9, column=0,sticky="E")
		label11 = Label(self.frame1, text="remove equality axioms")
		label11.grid(row=10, column=0,sticky="E")
		label12 = Label(self.frame1, text="add missing equality axioms")
		label12.grid(row=11, column=0,sticky="E")

		radio011=Radiobutton(self.frame1,text="on",variable=self.clausify,value=1,command=self.claus)
		radio012=Radiobutton(self.frame1,text="off",variable=self.clausify,value=0)
		radio021=Radiobutton(self.frame1,text="on",variable=self.simplify,value=1)
		radio022=Radiobutton(self.frame1,text="off",variable=self.simplify,value=0)
		radio031=Radiobutton(self.frame1,text="on",variable=self.cnf,value=1,command=self.claus)
		radio032=Radiobutton(self.frame1,text="off",variable=self.cnf,value=0)
		radio041=Radiobutton(self.frame1,text="on",variable=self.lr,value=1)
		radio042=Radiobutton(self.frame1,text="off",variable=self.lr,value=0)
		radio051=Radiobutton(self.frame1,text="on",variable=self.cr,value=1)
		radio052=Radiobutton(self.frame1,text="off",variable=self.cr,value=0)
		radio061=Radiobutton(self.frame1,text="on",variable=self.clr,value=1)
		radio062=Radiobutton(self.frame1,text="off",variable=self.clr,value=0)
		radio071=Radiobutton(self.frame1,text="on",variable=self.fr,value=1)
		radio072=Radiobutton(self.frame1,text="off",variable=self.fr,value=0)
		radio081=Radiobutton(self.frame1,text="on",variable=self.random,value=1)
		radio082=Radiobutton(self.frame1,text="off",variable=self.random,value=0)
		radio091=Radiobutton(self.frame1,text="on",variable=self.er,value=1)
		radio092=Radiobutton(self.frame1,text="off",variable=self.er,value=0)
		radio101=Radiobutton(self.frame1,text="on",variable=self.ran_er,value=1)
		radio102=Radiobutton(self.frame1,text="off",variable=self.ran_er,value=0)
		radio111=Radiobutton(self.frame1,text="on",variable=self.rm_equality,value=1,command=self.rem_eq)
		radio112=Radiobutton(self.frame1,text="off",variable=self.rm_equality,value=0)
		radio121=Radiobutton(self.frame1,text="on",variable=self.add_equality,value=1)
		radio122=Radiobutton(self.frame1,text="off",variable=self.add_equality,value=0)
		radio011.grid(row=0,column=1,sticky="W")
		radio012.grid(row=0,column=2,sticky="W")
		radio021.grid(row=1,column=1,sticky="W")
		radio022.grid(row=1,column=2,sticky="W")
		radio031.grid(row=2,column=1,sticky="W")
		radio032.grid(row=2,column=2,sticky="W")
		radio041.grid(row=3,column=1,sticky="W")
		radio042.grid(row=3,column=2,sticky="W")
		radio051.grid(row=4,column=1,sticky="W")
		radio052.grid(row=4,column=2,sticky="W")
		radio061.grid(row=5,column=1,sticky="W")
		radio062.grid(row=5,column=2,sticky="W")
		radio071.grid(row=6,column=1,sticky="W")
		radio072.grid(row=6,column=2,sticky="W")
		radio081.grid(row=7,column=1,sticky="W")
		radio082.grid(row=7,column=2,sticky="W")
		radio091.grid(row=8,column=1,sticky="W")
		radio092.grid(row=8,column=2,sticky="W")
		radio101.grid(row=9,column=1,sticky="W")
		radio102.grid(row=9,column=2,sticky="W")
		radio111.grid(row=10,column=1,sticky="W")
		radio112.grid(row=10,column=2,sticky="W")
		radio121.grid(row=11,column=1,sticky="W")
		radio122.grid(row=11,column=2,sticky="W")

		self.cl_val=0
		self.req_dict={}
		self.req_dict["r"]=0
		self.req_dict["s"]=0
		self.req_dict["t"]=0
		self.req_dict["f"]=0
		self.req_dict["p"]=0

	def trans(self):
		if self.t.get()==1:
			self.frame1.pack(side=RIGHT,padx=10,pady=10)
		else:
			self.frame1.forget()

	def claus(self):
		cl=CLAUSE(self,self.fkt,self.cl_val)
		cl_ret=cl.show()
		self.cl_val=cl_ret
		

	def rem_eq(self):
		cl=REMOVE(self,self.fkt,self.req_dict)
		cl_ret=cl.show()
		if (cl_ret["r"]==0 and cl_ret["s"]==0 and cl_ret["t"]==0 and cl_ret["f"]==0 and cl_ret["p"]==0 and (cl_ret["error"]==0 or (self.req_dict["r"]==0 and self.req_dict["s"]==0 and self.req_dict["t"]==0 and self.req_dict["f"]==0 and self.req_dict["p"]==0 and (cl_ret["error"]==1)))):
			tkMessageBox.showinfo("","Nothing to remove")
			self.rm_equality.set(0)
		if cl_ret["error"]==0:
			self.req_dict=cl_ret

class CLAUSE:
	def __init__(self,parent=None,fkt="",val):
		self.top = Toplevel()
		self.parent=parent
		t="TPTP 2 " + fkt + " - Clausification"
		self.top.title(t)
		self.menu_frame=Frame(self.top,relief=RAISED,bd=2)
		self.menu_frame.pack(side=TOP,fill=X)
		#	menu				#
		ConvertButton=Menubutton(self.menu_frame,text="Setting")
		ConvertButton.pack(side=LEFT)
		self.ConvertMenu=Menu(ConvertButton)
		self.ConvertMenu.add_command(label="OK",command=self.ok)
		ConvertButton["menu"]=self.ConvertMenu
		self.cl_alg=IntVar()
		self.cl_alg.set(val)
		radio011=Radiobutton(self.top,text="bundy",variable=self.cl_alg,value=0)
		radio012=Radiobutton(self.top,text="otter",variable=self.cl_alg,value=1)
		radio013=Radiobutton(self.top,text="quaife",variable=self.cl_alg,value=2)
		radio014=Radiobutton(self.top,text="tptp",variable=self.cl_alg,value=3)
		radio011.pack(side=TOP,anchor=W)
		radio012.pack(side=TOP,anchor=W)
		radio013.pack(side=TOP,anchor=W)
		radio014.pack(side=TOP,anchor=W)

	def ok(self):
		self.top.grab_release()
		self.top.destroy()

	def show(self):
		self.top.deiconify()
		self.top.grab_set()
		self.top.wait_window()
		return self.cl_alg.get()
		
class REMOVE:
	def __init__(self,parent=None,fkt="",dict):
		self.top = Toplevel()
		self.parent=parent
		t="TPTP 2 " + fkt + " - Remove:"
		self.top.title(t)
		self.menu_frame=Frame(self.top,relief=RAISED,bd=2)
		self.menu_frame.pack(side=TOP,fill=X)
		#	menu				#
		ConvertButton=Menubutton(self.menu_frame,text="Setting")
		ConvertButton.pack(side=LEFT)
		self.ConvertMenu=Menu(ConvertButton)
		self.ConvertMenu.add_command(label="OK",command=self.ok)
		self.ConvertMenu.add_command(label="Cancel",command=self.cancel)
		ConvertButton["menu"]=self.ConvertMenu

		self.rr=BooleanVar()
		self.rr.set(dict["r"])
		self.sr=BooleanVar()
		self.sr.set(dict["s"])
		self.tr=BooleanVar()
		self.tr.set(dict["t"])
		self.fr=BooleanVar()
		self.fr.set(dict["f"])
		self.pr=BooleanVar()
		self.pr.set(dict["p"])
		rc=Checkbutton(self.top,text="reflexivity",variable=self.rr)
		sc=Checkbutton(self.top,text="symmetry",variable=self.sr)
		tc=Checkbutton(self.top,text="transitivity",variable=self.tr)
		fc=Checkbutton(self.top,text="function substitution",variable=self.fr)
		pc=Checkbutton(self.top,text="predicate substitution",variable=self.pr)
		rc.pack(side=TOP,anchor=W)
		sc.pack(side=TOP,anchor=W)
		tc.pack(side=TOP,anchor=W)
		fc.pack(side=TOP,anchor=W)
		pc.pack(side=TOP,anchor=W)
		self.dict={}

	def ok(self):
		self.dict["error"]=0
		self.top.grab_release()
		self.top.destroy()

	def cancel(self):
		self.dict["error"]=1
		self.top.grab_release()
		self.top.destroy()
		
	def show(self):
		self.top.deiconify()
		self.top.grab_set()
		self.top.wait_window()
		try:
			if self.dict["error"]==1:
				pass
		except:
			tkMessageBox.showinfo("","Cancel")
			self.dict["error"]=1
		if self.rr.get()==0:
			self.dict["r"]=0
		else:
			self.dict["r"]=1
		if self.sr.get()==0:
			self.dict["s"]=0
		else:
			self.dict["s"]=1
		if self.tr.get()==0:
			self.dict["t"]=0
		else:
			self.dict["t"]=1
		if self.fr.get()==0:
			self.dict["f"]=0
		else:
			self.dict["f"]=1
		if self.pr.get()==0:
			self.dict["p"]=0
		else:
			self.dict["p"]=1
		return self.dict
		



